﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[COUPON]') AND name = N'XCOUPON1')
BEGIN 
PRINT 'Creating index XCOUPON1 on table COUPON'
CREATE UNIQUE NONCLUSTERED INDEX [XCOUPON1] ON [dbo].[COUPON] 
(
	[CODE] ASC,
	[DATE1] ASC,
	[LINE] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[COUPON]') AND name = N'XCOUPON2')
BEGIN 
PRINT 'Creating index XCOUPON2 on table COUPON'
CREATE UNIQUE NONCLUSTERED INDEX [XCOUPON2] ON [dbo].[COUPON] 
(
	[CLAS] ASC,
	[DATE1] ASC,
	[LINE] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'COUPON' AND COLUMN_NAME = 'FLAG' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_COUPON_FLAG')
BEGIN 
    PRINT 'Creating default constraint DF_COUPON_FLAG on table COUPON' 
    ALTER TABLE [dbo].[COUPON]
    ADD CONSTRAINT [DF_COUPON_FLAG] DEFAULT ((0)) FOR [FLAG]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'COUPON' AND COLUMN_NAME = 'COMM' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_COUPON_COMM')
BEGIN 
    PRINT 'Creating default constraint DF_COUPON_COMM on table COUPON' 
    ALTER TABLE [dbo].[COUPON]
    ADD CONSTRAINT [DF_COUPON_COMM] DEFAULT ((0)) FOR [COMM]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'COUPON' AND COLUMN_NAME = 'DONE' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_COUPON_DONE')
BEGIN 
    PRINT 'Creating default constraint DF_COUPON_DONE on table COUPON' 
    ALTER TABLE [dbo].[COUPON]
    ADD CONSTRAINT [DF_COUPON_DONE] DEFAULT ((0)) FOR [DONE]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'COUPON' AND COLUMN_NAME = 'DELC' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_COUPON_DELC')
BEGIN 
    PRINT 'Creating default constraint DF_COUPON_DELC on table COUPON' 
    ALTER TABLE [dbo].[COUPON]
    ADD CONSTRAINT [DF_COUPON_DELC] DEFAULT ((0)) FOR [DELC]
END 
GO

